function warminit()	-- name of this function must be in lower case!
	-- This is called when a saved game was loaded.

	-- If the actor has local variables in this script, you can use this to set
	-- the local variables to some meaningful values based on the actor's fields
        -- which were restored by KEENGINE when the game was loaded

	--print "warminit"
end

function coldinit()	-- name of this function must be in lower case!
	-- This is called when the actor is spawned, right before calling the
	-- LoadSprites() method. This means you can change the sprite settings
	-- in this script instead of having to modify the ACTORS.INI file.
	-- And what's even better: you can change some settings at "random"
	-- or based on the selected difficulty!

	-- In this example, we will create a Blooglet with a random color.

	-- First, let's copy the settings for a regular (green) Blooglet:
	super.Anims = 5
	super.PicW = 24
	super.PicH = 24
	super.PicFrames = 10
	super.PicFile = "blooglet_green"
	super.BlockX = 8
	super.BlockY = 19
	super.Health = 1

	-- Now for the "random" part:
	local value = Gamestate.MyRandom(4)
	if value == 1 then
		super.PicFile = "blooglet_red"
	elseif value == 2 then
		super.PicFile = "blooglet_yellow"
	elseif value == 3 then
		super.PicFile = "blooglet_blue"
	end

	--print "coldinit"
end

function update()	-- name of this function must be in lower case!
	-- This is called every frame to update the actor.

	-- ugly hack:
	CheckPlayer()

	-- regular update code:
	if super.Action == 0 then
		super.Action = 1
	end
	if Action == 1 then
		Walk()
	elseif Action == 2 then
		Jump()
	elseif Action == 6 then
		Die()
	end
	
	--print "update"
end

function CheckPlayer()
	-- This checks if the actor hits the player and performs the desired task
	-- if it does.

	if (not (super.Action == 6)) and (not (CollidesWith(Player) == 0)) and (not (Player.Action == 6)) then
		if Player.GetPosX() < super.PosX then
			Player.PushLeft(super)
		else
			Player.PushRight(super)
		end
	end
end

function Walk()
	if not (super.Action == 1) then
		super.Action = 1
		super.Timer = 0
	end
	IncTimer(6)
	FacePlayerByChance()
	super.Walk()
	if super.Timer == 0 then
		super.PicNum = super.picnum+1
		if super.PicNum == 4 then
			super.picnum = 0
		end
	end
end

function die()	-- name of this function must be in lower case!
	super.PicNum = 4
	DeathBounce()
end
